from disnake import Intents
from disnake.ext import commands

intents = Intents(messages=True,
                  message_content=True,
                  )


class Cog(commands.Cog):
    @commands.command()
    async def my_cmd(self, ctx):
        pass


class CogTwo(commands.Cog):
    async def bot_check(self, ctx) -> bool:
        pass


class CogThree(commands.Cog):
    async def bot_check_once(self, ctx) -> bool:
        pass


class CogFour(commands.Cog):
    async def bot_slash_command_check(self, ctx) -> bool:
        pass


class CogFive(commands.Cog):
    async def can_run(self, ctx) -> bool:
        pass


def test_bot():
    bot = commands.Bot(command_prefix='$', intents=intents)
    bot.add_cog(Cog())
    bot.add_cog(CogTwo())
    bot.add_cog(CogThree())
    bot.add_cog(CogFour())
    bot.add_cog(CogFive())
